Bug 856217 - Review Request: quearcode - A tool for creating QR Codes
Review Request: quearcode - A tool for creating QR Codes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 09:25 EDT by Gwyn Ciesla
Modified: 2012-09-27 00:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-20 16:40:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gwyn Ciesla 2012-09-11 09:25:18 EDT
Description:
Convert strings and small files to QR Codes

SRPM: http://fedorapeople.org/~limb/review/quearcode/quearcode-0.1.2-1.fc17.src.rpm
SPEC: http://fedorapeople.org/~limb/review/quearcode/quearcode.spec
Comment 2 Matthias Runge 2012-09-12 02:51:28 EDT
Some drive-by comments:
- no need to define BuildRoot: anymore
- you don't need to clean the buildroot during install anymore
- even the clean: section is not required anymore
- no need to defattr in %files section, only, when building for epel5

Those four are deprecated and shouldn't be used any more.

- project homepage is currently: http://sourceforge.net/projects/quearcode/
(unless you'll configure projects sf-page else ;-) )
quearcode.src: W: invalid-url URL: http://quearcode.sourceforge.net HTTP Error 403: Forbidden


Full review to follow.
Comment 3 Matthias Runge 2012-09-12 03:09:47 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Package installs a %{name}.desktop using desktop-file-install if
     there is such a file.
[-]: MUST Development files must be in a -devel package
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[!]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL5
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames

Rpmlint
-------
Checking: quearcode-0.2-1.fc19.src.rpm
          quearcode-0.2-1.fc19.noarch.rpm
quearcode.src: W: invalid-url URL: http://quearcode.sourceforge.net HTTP Error 403: Forbidden
quearcode.noarch: W: invalid-url URL: http://quearcode.sourceforge.net HTTP Error 403: Forbidden
quearcode.noarch: W: no-manual-page-for-binary quearcode
2 packages and 0 specfiles checked; 0 errors, 3 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
quearcode-0.2-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    /usr/bin/python  
    hicolor-icon-theme  
    pygtk2  
    python-qrcode  

Provides
--------
quearcode-0.2-1.fc19.noarch.rpm:
    
    quearcode = 0.2-1.fc19

MD5-sum check
-------------
http://downloads.sourceforge.net/quearcode/quearcode-0.2.tar.gz :
  CHECKSUM(SHA256) this package     : 54ce4792957f3ad4525405b51fab284cecfe7d1595bc04d6db391a0d3c36a943
  CHECKSUM(SHA256) upstream package : 54ce4792957f3ad4525405b51fab284cecfe7d1595bc04d6db391a0d3c36a943


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -b 856217


Jon, please clear out those issues; it'll be really quick, then I'll approve this package.
Comment 4 Gwyn Ciesla 2012-09-12 08:53:35 EDT
Thanks for the review!

I do intend pacakges for EL-5 if possible.

Fixed URL.

License tag is GPLv3+, as it says in the code, and in COPYING.  Not sure what's up there.

SRPM: http://fedorapeople.org/~limb/review/quearcode/quearcode-0.2-2.fc17.src.rpm
SPEC: http://fedorapeople.org/~limb/review/quearcode/quearcode.spec
Comment 5 Matthias Runge 2012-09-12 09:42:44 EDT
License is correct, I guess, it's plainly a false statement.

Package approved.
Comment 6 Gwyn Ciesla 2012-09-12 09:53:23 EDT
Odd.  Thanks!

New Package SCM Request
=======================
Package Name: quearcode
Short Description: A tool for creating QR Codes
Owners: limb
Branches: f18 f17 f15 el6
InitialCC:
Comment 7 Gwyn Ciesla 2012-09-12 09:54:56 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-09-12 10:54:41 EDT
quearcode-0.2-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/quearcode-0.2-2.fc16
Comment 9 Fedora Update System 2012-09-12 10:54:52 EDT
quearcode-0.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/quearcode-0.2-2.fc18
Comment 10 Fedora Update System 2012-09-12 10:55:06 EDT
quearcode-0.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/quearcode-0.2-2.el6
Comment 11 Fedora Update System 2012-09-12 10:55:17 EDT
quearcode-0.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/quearcode-0.2-2.fc17
Comment 12 Fedora Update System 2012-09-12 15:15:28 EDT
quearcode-0.2-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 13 Fedora Update System 2012-09-14 06:45:08 EDT
quearcode-0.2.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/quearcode-0.2.1-1.fc18
Comment 14 Fedora Update System 2012-09-14 06:45:18 EDT
quearcode-0.2.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/quearcode-0.2.1-1.fc16
Comment 15 Fedora Update System 2012-09-14 06:45:29 EDT
quearcode-0.2.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/quearcode-0.2.1-1.el6
Comment 16 Fedora Update System 2012-09-14 06:45:40 EDT
quearcode-0.2.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/quearcode-0.2.1-1.fc17
Comment 17 Fedora Update System 2012-09-20 16:40:14 EDT
quearcode-0.2.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2012-09-26 04:49:54 EDT
quearcode-0.2-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 19 Fedora Update System 2012-09-26 05:02:31 EDT
quearcode-0.2-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 20 Fedora Update System 2012-09-27 00:17:37 EDT
quearcode-0.2.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2012-09-27 00:21:36 EDT
quearcode-0.2.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.